<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ZipArchive Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#a527675b915110919a754a226feebc4f">Archive</a>(const String &amp;name, const String &amp;archType)</td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a26bbb49e88485bee4dfaf61b418a87a">checkZzipError</a>(int zzipError, const String &amp;operation) const </td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#0669dc93ae746f6070c44bba2f94594e">exists</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#3ba8ac8a8f041d2051c4f6ee158de7d2">find</a>(const String &amp;pattern, bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a8e4c87fb50f9f32587360894894eb16">findFileInfo</a>(const String &amp;pattern, bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#a4860f997861f44b61a436d55cdcc66b">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#b0fe79a8deba20a1cc1301f68805b621">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#4bb33f4e21a4ca69049eae7c6fc5b6e5">isCaseSensitive</a>(void) const </td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#8cbf4313ddcec3c2dd511e02d7a9f3d8">list</a>(bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a7c40c98db185a0e0b6ecba912fc4550">listFileInfo</a>(bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#3bb00b0bd7e3164082248bbedb273784">load</a>()</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#33516e5d5f732b34a58413df6b2d5a06">mFileList</a></td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#b1e42e1a419b26b1b7c6f26b77dde5a3">mName</a></td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#bf7ba39bebb760ce55d517aa289096fb">mType</a></td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#c95bbd525401e829a38652abdb255003">mZzipDir</a></td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#589b99096196ff28ccb5514fb1e312d5">open</a>(const String &amp;filename) const </td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#251d90b758ea60ede23cf6dc707d9fea">unload</a>()</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#d1f50e4b095e11526e79bfcf2c857b06">ZipArchive</a>(const String &amp;name, const String &amp;archType)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#370fba29d752fa317e992aec6625d5ed">~Archive</a>()</td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#d477ccca5216e2066b473532c52258f4">~ZipArchive</a>()</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:20 2008
</p>
</body>
</html>
